Subject: Re: linux-next: manual merge of the block tree with the scsi-fixes tree

From: Jens Axboe <[email-masked]>
Date: Thu, 13 Dec 2018 21:06:47 -0700

On 12/13/18 7:23 PM, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the block tree got a conflict in:
> 
>   drivers/scsi/sd.c
> 
> between commit:
> 
>   61cce6f6eece ("scsi: sd: use mempool for discard special page")
> 
> from the scsi-fixes tree and commit:
> 
>   159b2cbf59f4 ("scsi: return blk_status_t from scsi_init_io and ->init_command")
> 
> from the block tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Martin, I can carry this one to avoid this conflict. Let me know!

-- 
Jens Axboe